Name:          systray-x
Version:       0.9.6
Release:       1mamba
Summary:       A system tray extension for Thunderbird 68+
Group:         Graphical Desktop/Applications/Internet
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/Ximi1970/systray-x
Source:        https://github.com/Ximi1970/systray-x.git/%{version}/systray-x-%{version}.tar.bz2
License:       MPL 2.0
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libgcc
BuildRequires: libglvnd-devel
BuildRequires: libknotifications-devel
BuildRequires: libstdc++6-devel
BuildRequires: qt5-qtbase-devel
## AUTOBUILDREQ-END
Requires:      thunderbird

%description
SysTray-X is a system tray extension for Thunderbird 68+. Needs both the addon AND the companion app installed to work. Will not work with full wayland desktops. 

%debug_package

%prep
%setup -q
# Input the correct path to the binary in the json file
sed -i 's/\/path\/to\/native-messaging\/app/\/usr\/bin/g' "app/SysTray_X.json"

%build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

install -D -m0755 app/build/SysTray-X-app/SysTray-X %{buildroot}%{_bindir}/SysTray-X
install -D -m0644 app/SysTray_X.json %{buildroot}%{_libdir}/mozilla/native-messaging-hosts/SysTray_X.json
install -Dm 644 systray-x@Ximi1970.xpi %{buildroot}%{_libdir}/thunderbird/extensions/systray-x@Ximi1970.xpi

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/SysTray-X
%{_libdir}/mozilla/native-messaging-hosts/SysTray_X.json
%{_libdir}/thunderbird/extensions/systray-x@Ximi1970.xpi
%doc LICENSE

%changelog
* Sun Oct 29 2023 Automatic Build System <autodist@mambasoft.it> 0.9.6-1mamba
- automatic version update by autodist

* Tue Aug 08 2023 Automatic Build System <autodist@mambasoft.it> 0.9.5-1mamba
- automatic version update by autodist

* Tue Jul 25 2023 Automatic Build System <autodist@mambasoft.it> 0.9.4-1mamba
- automatic version update by autodist

* Mon Jul 17 2023 Automatic Build System <autodist@mambasoft.it> 0.9.3-1mamba
- automatic version update by autodist

* Tue May 30 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.2-1mamba
- package created using the webbuild interface
